﻿@model Tuple<List<ARGNSCrPathView>, string>
<table class="table table-striped">
    <thead>
        <tr>
            <th>@PDM.Code</th>
            <th>@PDM.Desc</th>
            <th><strong>Plan</strong></th>
            <th><strong>@PDM.Status</strong></th>
            <th>&nbsp;</th>
        </tr>
    </thead>
    <tbody>
         @foreach (ARGNSCrPathView item in Model.Item1)
            {
                        string plan = "";
                        string status = "";
                        switch (item.U_Planning) 
                        {
                            case "1":
                                plan = "In Progress";
                                break;
                            case "2":
                                plan = "Closed";
                                break;
                            case "3":
                                plan = "Canceled";
                                break;
                        }
                        switch (item.U_Status)
                        {
                            case "1":
                                status = "Forward Plan";
                                break;
                            case "2":
                                status = "Backward Plan";
                                break;
                        }
                <tr>
                    <td>@item.U_ProyCode</td>
                    <td>@item.U_Desc</td>
                    <td>@plan</td>
                    <td>@status</td>
                    <td>
                        <a class="btn btn-primary btn-xs" target="_blank" href="@Url.Action("ProjectAction", "Project", new { @pAction = "View", @pCode = item.Code, @pModelCode = item.U_Model, @pModelId = Model.Item2 })"><span class="glyphicon glyphicon-search"></span>@PDM.View</a>
                        <a class="btn btn-primary btn-xs" target="_blank" href="@Url.Action("ProjectAction", "Project", new { @pAction = "Update", @pCode = item.Code, @pModelCode = item.U_Model, @pModelId = Model.Item2 })"><span class="glyphicon glyphicon-search"></span>@PDM.Edit</a>
                    </td>
                </tr>
            }
    </tbody>
</table>